ambilight_off:
  alias: Ambilight schwarz schalten
  sequence:
    - service: light.turn_on
      data:
        entity_id: light.ambilight
        rgb_color: [0,0,0]
        brightness: 0

livingroom_music_on:
  alias: Wohnzimmer Musik - An
  sequence:
    - service: switch.turn_on
      data:
        entity_id: switch.harmony_music_bt
    - service: script.livingroom_music_scenario_on

livingroom_music_scenario_on:
  alias: Wohnzimmer Musik Szenario - An
  sequence:
    - service: switch.turn_on # todo: nur triggern wenn noch off
      data:
        entity_id: switch.harmony_music_bt
    - service: light.turn_on
      data:
        entity_id: light.ambilight
        effect: "Rainbow swirl"
        brightness: 130
    - service: media_player.select_source
      data:
        entity_id: media_player.spotify
        source: Wohnzimmer
    # We have to wait for the AVR establishing a BT connection to the Dot
    - delay:
        seconds: 15
    - service: media_player.media_play
      data:
        entity_id: media_player.spotify

livingroom_music_off:
  alias: Wohnzimmer Musik - Aus
  sequence:
    - service: script.livingroom_music_scenario_off
    - service: switch.turn_off
      data:
        entity_id: switch.harmony_music_bt


livingroom_music_scenario_off:
  alias: Wohnzimmer Musik Szenario - Aus
  sequence:
    - service: media_player.media_pause
      data:
        entity_id: media_player.spotify
    - service: light.turn_off
      data:
        entity_id: light.ambilight

livingroom_netflix_on:
  alias: Netflix
  sequence:
    - service: switch.turn_on
      data:
        entity_id: switch.harmony_firetv
    - delay:
        seconds: 6
    - service: media_player.select_source
      data:
        entity_id: media_player.fire_tv
        source: com.netflix.ninja
    - delay:
        seconds: 3
    - service: remote.send_command
      data:
        entity_id: remote.livingroom_harmony
        command:
          - Ok
        device: 42849848 #FireTv
        delay_secs: 0.6

### Harmony Helper-Scripts

harmony_denon_power:
  alias: Denon Power
  sequence:
    - service: remote.send_command
      data:
        entity_id: remote.livingroom_harmony
        command:
          - PowerToggle
        device: 42849850 #Denon

harmony_denon_mute:
  alias: Denon Stumm
  sequence:
    - service: remote.send_command
      data:
        entity_id: remote.livingroom_harmony
        command:
          - Mute
        device: 42849850 #Denon

harmony_volume_up:
  alias: Denon Lauter
  sequence:
    - service: remote.send_command
      data:
        entity_id: remote.livingroom_harmony
        command:
          - VolumeUp
        device: 42849850 #Denon
        num_repeats: 5

harmony_volume_down:
  alias: Denon Leiser
  sequence:
    - service: remote.send_command
      data:
        entity_id: remote.livingroom_harmony
        command:
          - VolumeDown
        device: 42849850 #Denon
        num_repeats: 5